samedi 6 juin 2020    || Inscription
BanniereAlertes
 
 

Notre sélection d'alertes et avis SSI.
Sources : US Cert, Cert EU, Cert FR, Cnil, VulDB.

mardi 14 mai 2019

Siemens SIMATIC PCS 7/SIMATIC WinCC DCOM Interface privilege escalation

A vulnerability classified as critical has been found in Siemens SIMATIC PCS 7 and SIMATIC WinCC (the affected version unknown). This affects an unknown function of the component DCOM Interface. The manipulation with an unknown input leads to a privilege escalation vulnerability. CWE is classifying the issue as CWE-269. This is going to have an impact on confidentiality, integrity, and availability. The summary by CVE is:

A vulnerability has been identified in SIMATIC PCS 7 V8.0 and earlier (All versions), SIMATIC PCS 7 V8.1 (All versions), SIMATIC PCS 7 V8.2 (All versions), SIMATIC PCS 7 V9.0 (All versions), SIMATIC WinCC (TIA Portal) V13 (All versions), SIMATIC WinCC (TIA Portal) V14 (All versions), SIMATIC WinCC (TIA Portal) V15 (All versions), SIMATIC WinCC Runtime Professional (All versions), SIMATIC WinCC V7.2 and earlier (All versions), SIMATIC WinCC V7.3 (All versions), SIMATIC WinCC V7.4 (All versions), SIMATIC WinCC V7.5 (All versions < V7.5 Upd3). An authenticatd attacker with network access to the DCOM interface could execute arbitrary commands with SYSTEM privileges. The vulnerability could be exploited by an attacker with network access to the affected system. Successful exploitation requires authentication with a low-privileged user account and no user interaction. An attacker could use the vulnerability to compromise confidentiality and integrity and availability of the affected system. At the time of advisory publication no public exploitation of this security vulnerability was known.

The weakness was disclosed 05/14/2019. This vulnerability is uniquely identified as CVE-2019-10918 since 04/08/2019. It is possible to initiate the attack remotely. A single authentication is required for exploitation. The technical details are unknown and an exploit is not publicly available. The pricing for an exploit might be around USD $5k-$25k at the moment (estimation calculated on 05/15/2019).

There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product.

The entries 135025, 135026 and 135031 are pretty similar.

Product

Vendor

Name

CPE 2.3

CPE 2.2

CVSSv3

VulDB Meta Base Score: 8.8
VulDB Meta Temp Score: 8.8

VulDB Base Score: 8.8
VulDB Temp Score: 8.8
VulDB Vector: 🔒
VulDB Reliability: 🔍

CVSSv2

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

Exploiting

Class: Privilege escalation (CWE-269)
Local: No
Remote: Yes

Availability: 🔒
Status: Not defined

Price Prediction: 🔍
Current Price Estimation: 🔒

Threat Intelligence

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Remediation: 🔍

Countermeasures

Recommended: no mitigation known
0-Day Time: 🔒

Timeline

04/08/2019 CVE assigned
05/14/2019 Advisory disclosed
05/15/2019 VulDB entry created
05/15/2019 VulDB last update

Sources

CVE: CVE-2019-10918 (🔒)
See also: 🔒

Entry

Created: 05/15/2019 10:20 AM
Complete: 🔍

Lien vers l'article source

Auteur: VulDB

Catégories: VulDBNombre de vues: 159

x

Événements SSI